# Sharing Key Semantics in Transformer Makes Efficient Image Restoration: Code

This repository contains the code for the NeurIPS 2024 submission - 1452: Sharing Key Semantics in Transformer Makes Efficient Image Restoration.

## File Structure
 - `dataset`: input images is placed under this folder.
 - `model`: the SemanIR model is defined here. 
 - `main_dn.py`: the main file to test SemanIR denoising model.
 - `main_sr.py`: the main file to test SemanIR SR model.
 - `requirements.txt`: the required packages to run the code.

## How to test the model for image SR?

1. `pip install -r requirements.txt`

    This installs the required packages for running the code. 
2. `python main_sr.py`
    
    This automatically load the model and checkpoint, read the low-resolution images, super-revolve and save the images.
3. Restored images will be saved under `results` folder.